Page MenuHomePhabricator

Correlate page views and interlanguage links clicks for all languages
Closed, ResolvedPublic

Description

This is a follow-up to T142505: [REQUEST] Language team's baseline metrics - correct CLL pageview data.

Now that we know how to get consistent page views data for languages without weird spikes in ru, nl and en (T141506), the next step is to start getting relevant page views data conveniently for all languages and not just for the semi-random sample of 24 languages that we're tracking at the moment.

"Relevant" means:

  • interactive: actually opened by a real human user in a real browser
  • desktop: not app, not MobileFrontend

This means:

  • writing queries (and if needed, scripts to wrap them) that get the data
  • correlating them with the interlanguage clicks data, most importantly: the percent of clicks on interlanguage links out of the visits to the site. (Both as a target language and as a source language.)
  • having a place for posting the data. Currently, it's a Google docs spreadsheet, and we can keep using that, but if the Analytics team can suggest something better, we can go for that.

Event Timeline

Amire80 created this task.Aug 22 2016, 7:53 PM
Restricted Application added a project: UniversalLanguageSelector. · View Herald TranscriptAug 22 2016, 7:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
HJiang-WMF triaged this task as Normal priority.Aug 23 2016, 5:00 AM
HJiang-WMF moved this task from Backlog to Helen's in progress on the Contributors-Analysis board.
Jdforrester-WMF lowered the priority of this task from Normal to Low.Aug 23 2016, 6:26 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I'm re-prioritising this, and removing it from Helen's worklist, for two reasons:

  • Firstly, no significant changes are expected in this area beyond the current roll-out of language links, which will be completed in the short-term. There is relatively little value in measuring these numbers just for the sake of them. We should measure them because we think they might change due to things we're doing. When we're not doing anything here, measuring them is just added burden (twice over — first for the work to measure them, second for the consequent proposals for additional work).
  • Secondly, this area (links for readers between content) is the kind of area that is prime Reading responsibility. Though the work on ULS and in particular ULS's compact language links has been led expertly by the Editing department's Language team since before Reading existed, now that they do we should defer to them and their product management around changes in this area. This indeed can already be seen by the recent work of Reading Web to provide inter-language navigation tools on Mobile Web. As such, I think we should allow Reading Analysis to consider whether this work would be most beneficial to their department's work and if so execute it, rather than do it inside Editing.

Hope this is clear.

@Amire80, just to clarify James's first point, we are happy to help with one-time analysis about the effects of the compact language links rollout.

But setting up a permanent monitoring system would be significantly more work, and we'd have to think hard about the benefits of it before starting: what use would we get from the data post-rollout (particularly considering that this is now a Reading area, so we're unlikely to make further feature improvements)?

Amire80 closed this task as Resolved.Sep 5 2016, 7:41 AM
Amire80 claimed this task.
Amire80 added a subscriber: HJiang-WMF.

Update: I got all the pageviews for all languages. It turned out to be very easy using the pageviews API.

The redoing of this as a new dashboard should be done separately.

Neil_P._Quinn_WMF raised the priority of this task from Low to Needs Triage.Mar 29 2018, 9:06 AM
Neil_P._Quinn_WMF moved this task from Blocked to Radar on the Contributors-Analysis board.